be.fgov.ehealth.dics.protocol.v3

## Class FindByGenericPrescriptionGroupType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v3.FindByGenericPrescriptionGroupType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:11:18+01:00",
                 comments="JAXB RI v2.2.11")
      public class FindByGenericPrescriptionGroupType
      extends Object
      implements Serializable

  Java class for FindByGenericPrescriptionGroupType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindByGenericPrescriptionGroupType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="GenericPrescriptionGroupCode" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
               <element name="AnyNamePart" type="{urn:be:fgov:ehealth:dics:core:v3:core}SearchStringType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindByGenericPrescriptionGroupType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnyNamePart()` Gets the value of the anyNamePart property.
    `BigInteger` | `getGenericPrescriptionGroupCode()` Gets the value of the genericPrescriptionGroupCode property.
    `void` | `setAnyNamePart(String value)` Sets the value of the anyNamePart property.
    `void` | `setGenericPrescriptionGroupCode(BigInteger value)` Sets the value of the genericPrescriptionGroupCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindByGenericPrescriptionGroupType

          public FindByGenericPrescriptionGroupType()

  - ### Method Detail

    - #### getAnyNamePart

          public String getAnyNamePart()

      Gets the value of the anyNamePart property.
      Returns:
        possible object is `String`

    - #### setAnyNamePart

          public void setAnyNamePart(String value)

      Sets the value of the anyNamePart property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGenericPrescriptionGroupCode

          public BigInteger getGenericPrescriptionGroupCode()

      Gets the value of the genericPrescriptionGroupCode property.
      Returns:
        possible object is `BigInteger`

    - #### setGenericPrescriptionGroupCode

          public void setGenericPrescriptionGroupCode(BigInteger value)

      Sets the value of the genericPrescriptionGroupCode property.
      Parameters:
        `value` - allowed object is `BigInteger`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.